=== debian/changelog ===
cdrkit (9:1.1.3-1) unstable; urgency=medium

  * New upstream version with important bugfixes
    + dealing with newline when searching for device (closes: #408456).
      Also telling the expected track size to not confuse (closes: #409005)
    + corrected picking up of the SCSI transfer size (closes: #407773)
    + correct fallback to CDR_FIFOSIZE (closes: #408840)
    + restores forgotten compiler definitions on wodim (closes: #407611)
    + provisional LFS support in UDF (closes: #401988)
    + transfer size extraction fix (part of #407773)
    + default gracetime value changed in recommendations (closes: #408844)
    + telling the user when the drive is mounted and therefore busy
      (closes: #414271)
  * Relaxed version dependency of cmake (closes: #407163)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Mar 2007 22:31:24 +0200

cdrkit (9:1.1.2-1) unstable; urgency=medium

  * New upstream version
    + mentions readom in wodim's manpage (closes: #405979)
    + subtle behaviour improvements like not allowing writting when -dummy is
      specified by user but could be ignored by the drive
  * Updated geteltorito.pl to 0.4 including patch from manty
  * installing geteltorito in genisoimage and documented it and other 3rd-party
    stuff in the genisoimage package description
  * added md5sum of Ubuntu's conffile version to the big list of obsolete
    version checksums in wodim.preinst (lp: #73832)
  * added the burnstuff script to the examples in wodim package

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Jan 2007 00:45:22 +0100

cdrkit (9:1.1.1-1) unstable; urgency=medium

  * New upstream version
    + more verbose abort message if track is specified with some maintainance
      command (closes: #369677)
    + BURN-Free enabled by default (closes: #403899)
    + uses correct CFLAGS variable (closes: #402190)
    + moved *iso* manpages to section 1, many manpage fixes 
      (closes: #404289, #402044)
    + icedax.1 updates, cdda2wav specific expalanations removed
      (closes: #401821)
    + getting maximum DMA transfer size from sysfs (closes: #377069)
    + coexisting hppa/alpha boot code possible now (closes: #404986)
  * Add mkzftree binary again (sorry... closes: #402750)
  * Add /usr/bin/readcd -> readom compatibility symlink 
    (closes: #403536, #403193) and set conflict with older xcdroast package
    revisions (closes: #401791)

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Dec 2006 16:45:31 +0100

cdrkit (9:1.1.0-1) unstable; urgency=low

  * Development snapshot
    + wodim.dfl updates (closes: #398357)
  * epoch increased to work around buggy packages installed by harddisk
    installation from old Knoppix versions (closes: #396599, #399995)
  * Packages renamed: cdda2wav -> icedax, mkisofs -> genisoimage,
    + cdda2wav and mkisofs retained as dummy packages.

 -- Eduard Bloch <blade@debian.org>  Sat, 02 Dec 2006 18:42:50 +0100

cdrkit (5:1.0-1) unstable; urgency=high

  [ Eduard Bloch ]
  * ATAPI -> ATA mapping and better error messages (closes: #398465)
  * more reliable FIFO process termination (closes: #398043)
  * prints burn-free message only with higher verbosity (closes: 388770)
  * sorted file list printing, by Dennis Vshivkov (closes: #278071)

  [ Joerg Jaspert ]
  *  Remove all the printing of useless messages. This is based on GPLed
     code, so we follow the letter of the GPL as it is interpreted by 99%
     of the world, including its authors. Especially as Joerg was never able
     to give us any clear explanation what other license he may think
     cdrtools had, despite us asking multiple times. So we have no other
     choice than to take whats written down, and thats GPL.
  * The above fixes "license needs to be clarified" as well as
    "Cdrkit possibly made non-free by former upstream, refuses
    clarification"(Closes: #387783, #392342).
    Note that I do not remove the "You may not return schily" clauses.
    They are, in my understanding, valid requests an upstream can make, not
    including his name if he doesn't want it. They are also no problem for
    anyone, anywhere, the other stuff was.
  * Was included earlier, close Bug "diff for 5:1.0~pre4-1.1 NMU" (Closes: #388595).
  * Bug fix: "wodim: Spelling error in output of -checkdrive", thanks to
    Alexey Feldgendler (Closes: #389135).
  * Urgency high.

 -- Joerg Jaspert <joerg@debian.org>  Mon, 20 Nov 2006 19:42:09 +0100

cdrkit (5:1.0~pre5-1) unstable; urgency=low

  * New upstream source snapshot
    + typos in wodim.1 fixes, thanks to J. Alto (closes: #386898)
    + enabled libedc support (closes: #387429)
    + reenabled REMOTE target support (closes: #396460)
    + terminates FIFO process on exist (closes: #397271)
    + option (env. variable) to skip DMA tests (closes: #293953)
  * fixed installation of FAQ and FORK files (closes: #386735)
  * remove . from the include list, patch by Modestas Vainius (closes: 358497)
  * cdda2ogg/cdda2mp3 are unified, installing cdda2mp3 as symlink
  * remove . from the include list, patch by Modestas Vainius
    (closes: #358497, acknowledging NMU by Steinar H. Gunderson)
  * readded mkzftree to the mkisofs package (closes: #387927)
  * wodim.preinst: remove unchanged old config files, dangling symlinks to
    them, old "convinience" symlinks, preinstalls user-modified files to the
    new target locations /etc/{wodim,rscsi}.conf 
    (closes: #388403, #390084, #388119, #387854)

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Nov 2006 11:56:05 +0100

cdrkit (5:1.0~pre4-1) unstable; urgency=low

  [ Peter Samuelson ]
  * clean target fixes to purge zisofs leftovers

  [ Eduard Bloch ]
  * added detection for libcam header (closes: #385975)

  [ Joerg Jaspert ]
  * Added link for cdrecord manpage to dummy package, thanks to Ryan Finnie

 -- Joerg Jaspert <joerg@debian.org>  Tue,  5 Sep 2006 12:15:45 +0200

cdrkit (5:1.0~pre3-1) unstable; urgency=low

  [ Eduard Bloch ]
  * New upstream snapshot

